'use strict';

const viewConfig = require('./view-config-1ef57be5.js');
const pairConfig = require('./pair-config-a5d7c3eb.js');

class AtamaMemberPairDetailViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(AtamaMemberPairDetailViewConfig.prototype), json);
    model.table = pairConfig.PairConfig.decode(model.table);
    return model;
  }
}

exports.AtamaMemberPairDetailViewConfig = AtamaMemberPairDetailViewConfig;
